//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.2-147 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2020.03.06 at 12:22:27 AM EET 
//


package org.xbrl._2003.instance;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="unitNumerator" type="{http://www.xbrl.org/2003/instance}measuresType"/>
 *         &lt;element name="unitDenominator" type="{http://www.xbrl.org/2003/instance}measuresType"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "unitNumerator",
    "unitDenominator"
})
@XmlRootElement(name = "divide")
public class Divide {

    @XmlElement(required = true)
    protected MeasuresType unitNumerator;
    @XmlElement(required = true)
    protected MeasuresType unitDenominator;

    /**
     * Gets the value of the unitNumerator property.
     * 
     * @return
     *     possible object is
     *     {@link MeasuresType }
     *     
     */
    public MeasuresType getUnitNumerator() {
        return unitNumerator;
    }

    /**
     * Sets the value of the unitNumerator property.
     * 
     * @param value
     *     allowed object is
     *     {@link MeasuresType }
     *     
     */
    public void setUnitNumerator(MeasuresType value) {
        this.unitNumerator = value;
    }

    /**
     * Gets the value of the unitDenominator property.
     * 
     * @return
     *     possible object is
     *     {@link MeasuresType }
     *     
     */
    public MeasuresType getUnitDenominator() {
        return unitDenominator;
    }

    /**
     * Sets the value of the unitDenominator property.
     * 
     * @param value
     *     allowed object is
     *     {@link MeasuresType }
     *     
     */
    public void setUnitDenominator(MeasuresType value) {
        this.unitDenominator = value;
    }

}
